Index: inc/chpfld.hxx
===================================================================
RCS file: /cvs/sw/sw/inc/chpfld.hxx,v
retrieving revision 1.4
retrieving revision 1.4.74.1
diff -u -r1.4 -r1.4.74.1
--- inc/chpfld.hxx	9 Sep 2005 01:36:25 -0000	1.4
+++ inc/chpfld.hxx	26 Oct 2005 17:50:30 -0000	1.4.74.1
@@ -79,7 +79,7 @@
 	BYTE nLevel;
 	String sTitle, sNumber, sPre, sPost;
 public:
-	SwChapterField(SwChapterFieldType*, ULONG nFmt = 0);
+	SwChapterField(SwChapterFieldType*, sal_uInt32 nFmt = 0);
 
 	void ChangeExpansion(const SwFrm*, const SwTxtNode*, 
 		BOOL bSrchNum = FALSE);
Index: inc/docsh.hxx
===================================================================
RCS file: /cvs/sw/sw/inc/docsh.hxx,v
retrieving revision 1.31
retrieving revision 1.31.70.1
diff -u -r1.31 -r1.31.70.1
--- inc/docsh.hxx	9 Sep 2005 01:41:42 -0000	1.31
+++ inc/docsh.hxx	26 Oct 2005 17:50:30 -0000	1.31.70.1
@@ -237,7 +237,7 @@
 								const ::com::sun::star::uno::Any & rValue );
     virtual ::sfx2::SvLinkSource* DdeCreateLinkSource( const String& rItem );
 	virtual void FillClass( SvGlobalName * pClassName,
-								   ULONG * pClipFormat,
+								   sal_uInt32 * pClipFormat,
 								   String * pAppName,
 								   String * pLongUserName,
                                    String * pUserName,
Index: inc/docufld.hxx
===================================================================
RCS file: /cvs/sw/sw/inc/docufld.hxx,v
retrieving revision 1.8
retrieving revision 1.8.72.1
diff -u -r1.8 -r1.8.72.1
--- inc/docufld.hxx	9 Sep 2005 01:42:30 -0000	1.8
+++ inc/docufld.hxx	26 Oct 2005 17:50:31 -0000	1.8.72.1
@@ -160,7 +160,7 @@
 public:
 	SwPageNumberFieldType();
 
-	String& Expand( ULONG nFmt, short nOff, const String&, String& rRet ) const;
+	String& Expand( sal_uInt32 nFmt, short nOff, const String&, String& rRet ) const;
 	void ChangeExpansion( SwDoc* pDoc, USHORT nNum, USHORT nMax,
 							BOOL bVirtPageNum, const sal_Int16* pNumFmt = 0 );
 	inline sal_Int16 GetNumFormat() const { return nNumberingType; }
@@ -179,7 +179,7 @@
 
 public:
 	SwPageNumberField(SwPageNumberFieldType*, USHORT nSub = PG_RANDOM,
-					  ULONG nFmt = 0, short nOff = 0);
+					  sal_uInt32 nFmt = 0, short nOff = 0);
 
 	virtual String		Expand() const;
 	virtual SwField*	Copy() const;
@@ -218,7 +218,7 @@
 	String	aContent;
 
 public:
-	SwAuthorField(SwAuthorFieldType*, ULONG nFmt = 0);
+	SwAuthorField(SwAuthorFieldType*, sal_uInt32 nFmt = 0);
 
 	virtual String	 	Expand() const;
 	virtual SwField* 	Copy() const;
@@ -253,7 +253,7 @@
 	String aContent;
 
 public:
-	SwFileNameField(SwFileNameFieldType*, ULONG nFmt = 0);
+	SwFileNameField(SwFileNameFieldType*, sal_uInt32 nFmt = 0);
 
 	virtual String	 	Expand() const;
 	virtual SwField* 	Copy() const;
@@ -286,7 +286,7 @@
 class SwTemplNameField : public SwField
 {
 public:
-	SwTemplNameField(SwTemplNameFieldType*, ULONG nFmt = 0);
+	SwTemplNameField(SwTemplNameFieldType*, sal_uInt32 nFmt = 0);
 
 	virtual String	 	Expand() const;
 	virtual SwField* 	Copy() const;
@@ -306,7 +306,7 @@
 
 public:
 	SwDocStatFieldType(SwDoc*);
-	String 					Expand(USHORT nSubType, ULONG nFmt) const;
+	String 					Expand(USHORT nSubType, sal_uInt32 nFmt) const;
 	virtual SwFieldType*    Copy() const;
 
 	inline sal_Int16 		GetNumFormat() const 		{ return nNumberingType; }
@@ -323,7 +323,7 @@
 
 public:
 	SwDocStatField( SwDocStatFieldType*,
-					USHORT nSubType = 0, ULONG nFmt = 0);
+					USHORT nSubType = 0, sal_uInt32 nFmt = 0);
 
 	void ChangeExpansion( const SwFrm* pFrm );
 
@@ -559,7 +559,7 @@
 public:
 	SwDocInfoFieldType(SwDoc* pDc);
 
-	String					Expand(USHORT nSubType, ULONG nFormat, USHORT nLang) const;
+	String					Expand(USHORT nSubType, sal_uInt32 nFormat, USHORT nLang) const;
 	virtual SwFieldType*    Copy() const;
 };
 
@@ -569,7 +569,7 @@
 	String  aContent;
 
 public:
-	SwDocInfoField(SwDocInfoFieldType*, USHORT nSub, ULONG nFmt=0);
+	SwDocInfoField(SwDocInfoFieldType*, USHORT nSub, sal_uInt32 nFmt=0);
 
 	virtual void        	SetSubType(USHORT);
 	virtual USHORT	 		GetSubType() const;
@@ -597,7 +597,7 @@
 	inline const String& 	GetData() const					{ return aData; }
 	inline void			 	SetData(const String& rStr)		{ aData = rStr; }
 
-	String					Expand(USHORT nSubType, ULONG nFormat) const;
+	String					Expand(USHORT nSubType, sal_uInt32 nFormat) const;
 	virtual SwFieldType*    Copy() const;
 };
 
@@ -607,7 +607,7 @@
 	USHORT 	nType;
 
 public:
-	SwExtUserField(SwExtUserFieldType*, USHORT nSub, ULONG nFmt=0);
+	SwExtUserField(SwExtUserFieldType*, USHORT nSub, sal_uInt32 nFmt=0);
 
 	virtual String		Expand() const;
 	virtual SwField*	Copy() const;
@@ -697,7 +697,7 @@
 {
 	String sTxt;
 public:
-	SwRefPageGetField( SwRefPageGetFieldType*, ULONG nFmt );
+	SwRefPageGetField( SwRefPageGetFieldType*, sal_uInt32 nFmt );
 
 	virtual String		Expand() const;
 	virtual SwField*	Copy() const;
@@ -733,7 +733,7 @@
 {
 	String sTxt, sHelp;
 public:
-	SwJumpEditField( SwJumpEditFieldType*, ULONG nFormat,
+	SwJumpEditField( SwJumpEditFieldType*, sal_uInt32 nFormat,
 					const String& sText, const String& sHelp );
 
 	virtual String		Expand() const;
Index: inc/fldbas.hxx
===================================================================
RCS file: /cvs/sw/sw/inc/fldbas.hxx,v
retrieving revision 1.11
retrieving revision 1.11.72.1
diff -u -r1.11 -r1.11.72.1
--- inc/fldbas.hxx	9 Sep 2005 01:45:32 -0000	1.11
+++ inc/fldbas.hxx	26 Oct 2005 17:50:31 -0000	1.11.72.1
@@ -269,11 +269,11 @@
 	Beschreibung: Allgemeine Tools
  --------------------------------------------------------------------*/
 
-String	GetResult(double nVal, ULONG nNumFmt, USHORT nLang = LANGUAGE_SYSTEM);
+String	GetResult(double nVal, sal_uInt32 nNumFmt, USHORT nLang = LANGUAGE_SYSTEM);
 void    SetErrorStr(const String& rStr);
 //String	ExpandDate(const Date& rDate, ULONG nFmt, USHORT nLang);
 //String 	ExpandTime(const Time& rTime, ULONG nFmt, USHORT nLang);
-String  FormatNumber(USHORT nNum, ULONG nFormat);
+String  FormatNumber(USHORT nNum, sal_uInt32 nFormat);
 
 /*--------------------------------------------------------------------
 	Beschreibung: 	Instanzen von SwFields und Abgeleiteten kommen 0-n mal vor.
@@ -334,14 +334,14 @@
 {
 	USHORT				nLang;	// Immer ueber SetLanguage aendern!
     BOOL                bIsAutomaticLanguage;
-	ULONG 				nFormat;
+	sal_uInt32			nFormat;
 
 	SwFieldType* 		pType;
 
 protected:
-	void				SetFormat(ULONG nSet) {nFormat = nSet;}
+	void				SetFormat(sal_uInt32 nSet) {nFormat = nSet;}
 
-	SwField(SwFieldType* pTyp, ULONG nFmt = 0, USHORT nLang = LANGUAGE_SYSTEM);
+	SwField(SwFieldType* pTyp, sal_uInt32 nFmt = 0, USHORT nLang = LANGUAGE_SYSTEM);
 
 public:
 	virtual 			~SwField();
@@ -377,13 +377,13 @@
 	virtual void		SetLanguage(USHORT nLng);
 
 	// Parameter fuer Dialog und BASIC erfragen
-	inline ULONG		GetFormat() const;
+	inline sal_uInt32	GetFormat() const;
 	virtual const String& GetPar1() const;
 	virtual String		GetPar2() 	const;
 
 	virtual String		GetFormula() const;
 
-	virtual void  		ChangeFormat(ULONG n);
+	virtual void  		ChangeFormat(sal_uInt32 n);
 	virtual void		SetPar1(const String& rStr);
 	virtual void		SetPar2(const String& rStr);
 
@@ -403,7 +403,7 @@
 inline SwFieldType*	SwField::GetTyp() const
 	{ return pType; 	}
 
-inline ULONG SwField::GetFormat() const
+inline sal_uInt32 SwField::GetFormat() const
 	{ return nFormat; 	}
 
 inline USHORT SwField::GetLanguage() const
@@ -430,9 +430,9 @@
 	inline BOOL		UseFormat() const					{ return bUseFormat; }
 	inline void		EnableFormat(BOOL bFormat = TRUE)	{ bUseFormat = bFormat; }
 
-	String			ExpandValue(const double& rVal, ULONG nFmt, USHORT nLng=0) const;
+	String			ExpandValue(const double& rVal, sal_uInt32 nFmt, USHORT nLng=0) const;
 	void			DoubleToString(String &rValue, const double &rVal, LanguageType eLng) const;
-	void			DoubleToString(String &rValue, const double &rVal, ULONG nFmt) const;
+	void			DoubleToString(String &rValue, const double &rVal, sal_uInt32 nFmt) const;
 };
 
 class SW_DLLPUBLIC SwValueField : public SwField
@@ -441,7 +441,7 @@
 //	String sExpand;
 
 protected:
-	SwValueField( SwValueFieldType* pFldType, ULONG nFmt = 0, USHORT nLang = LANGUAGE_SYSTEM, const double fVal = 0.0 );
+	SwValueField( SwValueFieldType* pFldType, sal_uInt32 nFmt = 0, USHORT nLang = LANGUAGE_SYSTEM, const double fVal = 0.0 );
 	SwValueField( const SwValueField& rFld );
 
 public:
@@ -457,10 +457,10 @@
 	virtual double			GetValue() const;
 	virtual void 			SetValue( const double& rVal );
 
-	inline String	ExpandValue(const double& rVal, ULONG nFmt, USHORT nLng=0) const
+	inline String	ExpandValue(const double& rVal, sal_uInt32 nFmt, USHORT nLng=0) const
 		{ return ((SwValueFieldType*)GetTyp())->ExpandValue(rVal, nFmt, nLng); }
 
-	static ULONG			GetSystemFormat(SvNumberFormatter* pFormatter, ULONG nFmt);
+	static sal_uInt32		GetSystemFormat(SvNumberFormatter* pFormatter, sal_uInt32 nFmt);
 };
 
 class SwFormulaField : public SwValueField
@@ -468,7 +468,7 @@
 	String sFormula;
 
 protected:
-	SwFormulaField( SwValueFieldType* pFldType, ULONG nFmt = 0, const double fVal = 0.0 );
+	SwFormulaField( SwValueFieldType* pFldType, sal_uInt32 nFmt = 0, const double fVal = 0.0 );
 	SwFormulaField( const SwFormulaField& rFld );
 
 public:
Index: inc/globdoc.hxx
===================================================================
RCS file: /cvs/sw/sw/inc/globdoc.hxx,v
retrieving revision 1.6
retrieving revision 1.6.72.1
diff -u -r1.6 -r1.6.72.1
--- inc/globdoc.hxx	9 Sep 2005 01:56:00 -0000	1.6
+++ inc/globdoc.hxx	26 Oct 2005 17:50:31 -0000	1.6.72.1
@@ -51,7 +51,7 @@
 	~SwGlobalDocShell();
 
 	virtual void	FillClass( SvGlobalName * pClassName,
-								   ULONG * pClipFormat,
+								   sal_uInt32 * pClipFormat,
 								   String * pAppName,
 								   String * pLongUserName,
                                    String * pUserName,
Index: inc/swtable.hxx
===================================================================
RCS file: /cvs/sw/sw/inc/swtable.hxx,v
retrieving revision 1.10
retrieving revision 1.10.70.1
diff -u -r1.10 -r1.10.70.1
--- inc/swtable.hxx	9 Sep 2005 02:16:56 -0000	1.10
+++ inc/swtable.hxx	26 Oct 2005 17:50:31 -0000	1.10.70.1
@@ -359,7 +359,7 @@
 	BOOL IsInHeadline( const SwTable* pTbl = 0 ) const;
 
 	// enthaelt die Box Inhalt, der als Nummer formatiert werden kann?
-	BOOL HasNumCntnt( double& rNum, ULONG& rFmtIndex,
+	BOOL HasNumCntnt( double& rNum, sal_uInt32& rFmtIndex,
 					BOOL& rIsEmptyTxtNd ) const;
 	ULONG IsValidNumTxtNd( BOOL bCheckAttr = TRUE ) const;
 	// teste ob der BoxInhalt mit der Nummer uebereinstimmt, wenn eine
Index: inc/usrfld.hxx
===================================================================
RCS file: /cvs/sw/sw/inc/usrfld.hxx,v
retrieving revision 1.4
retrieving revision 1.4.74.1
diff -u -r1.4 -r1.4.74.1
--- inc/usrfld.hxx	9 Sep 2005 02:30:03 -0000	1.4
+++ inc/usrfld.hxx	26 Oct 2005 17:50:32 -0000	1.4.74.1
@@ -66,10 +66,10 @@
 	virtual const String&	GetName() const;
 	virtual SwFieldType*	Copy() const;
 
-	String					Expand(ULONG nFmt, USHORT nSubType, USHORT nLng);
+	String					Expand(sal_uInt32 nFmt, USHORT nSubType, USHORT nLng);
 
-	String					GetContent( ULONG nFmt = 0 );
-		   void				SetContent( const String& rStr, ULONG nFmt = 0 );
+	String					GetContent( sal_uInt32 nFmt = 0 );
+		   void				SetContent( const String& rStr, sal_uInt32 nFmt = 0 );
 		   void				CtrlSetContent( const String& rStr );
 
 	inline BOOL 			IsValid() const;
@@ -121,7 +121,7 @@
 	USHORT  nSubType;
 
 public:
-	SwUserField(SwUserFieldType*, USHORT nSub = 0, ULONG nFmt = 0);
+	SwUserField(SwUserFieldType*, USHORT nSub = 0, sal_uInt32 nFmt = 0);
 
 	virtual USHORT	 		GetSubType() const;
 	virtual void	 		SetSubType(USHORT nSub);
Index: inc/wdocsh.hxx
===================================================================
RCS file: /cvs/sw/sw/inc/wdocsh.hxx,v
retrieving revision 1.7
retrieving revision 1.7.70.1
diff -u -r1.7 -r1.7.70.1
--- inc/wdocsh.hxx	9 Sep 2005 02:31:20 -0000	1.7
+++ inc/wdocsh.hxx	26 Oct 2005 17:50:32 -0000	1.7.70.1
@@ -59,7 +59,7 @@
 	~SwWebDocShell();
 
 	virtual void		FillClass( SvGlobalName * pClassName,
-								   ULONG * pClipFormat,
+								   sal_uInt32 * pClipFormat,
 								   String * pAppName,
                                    String * pLongUserName,
                                    String * pUserName,
Index: source/core/doc/swtable.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/doc/swtable.cxx,v
retrieving revision 1.17
retrieving revision 1.17.68.1
diff -u -r1.17 -r1.17.68.1
--- source/core/doc/swtable.cxx	9 Sep 2005 03:19:18 -0000	1.17
+++ source/core/doc/swtable.cxx	26 Oct 2005 17:50:33 -0000	1.17.68.1
@@ -2004,7 +2004,7 @@
 							ULONG nNdPos = pBox->IsValidNumTxtNd( TRUE );
 							if( ULONG_MAX != nNdPos )
 							{
-								ULONG nTmpFmtIdx = nNewFmt;
+								sal_uInt32 nTmpFmtIdx = nNewFmt;
 								String aTxt( GetDoc()->GetNodes()[ nNdPos ]
 												->GetTxtNode()->GetRedlineTxt());
 								if( !aTxt.Len() )
@@ -2020,7 +2020,7 @@
 									if( NUMBERFORMAT_PERCENT ==
 										pNumFmtr->GetType( nNewFmt ))
 									{
-										ULONG nTmpFmt = 0;
+										sal_uInt32 nTmpFmt = 0;
 										if( pNumFmtr->IsNumberFormat(
 													aTxt, nTmpFmt, fVal ))
 										{
@@ -2090,7 +2090,7 @@
 	SwFrmFmt::Modify( pOld, pNew );
 }
 
-BOOL SwTableBox::HasNumCntnt( double& rNum, ULONG& rFmtIndex,
+BOOL SwTableBox::HasNumCntnt( double& rNum, sal_uInt32& rFmtIndex,
 							BOOL& rIsEmptyTxtNd ) const
 {
 	BOOL bRet = FALSE;
@@ -2113,7 +2113,7 @@
 			if( !rIsEmptyTxtNd &&
 				NUMBERFORMAT_PERCENT == pNumFmtr->GetType( rFmtIndex ))
 			{
-				ULONG nTmpFmt = 0;
+				sal_uInt32 nTmpFmt = 0;
 				if( pNumFmtr->IsNumberFormat( aTxt, nTmpFmt, rNum ) &&
 					NUMBERFORMAT_NUMBER == pNumFmtr->GetType( nTmpFmt ))
 					aTxt += '%';
Index: source/core/doc/tblafmt.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/doc/tblafmt.cxx,v
retrieving revision 1.16
retrieving revision 1.16.48.1
diff -u -r1.16 -r1.16.48.1
--- source/core/doc/tblafmt.cxx	23 Sep 2005 12:19:31 -0000	1.16
+++ source/core/doc/tblafmt.cxx	26 Oct 2005 17:50:34 -0000	1.16.48.1
@@ -759,7 +759,7 @@
                 short nType;
                 BOOL bNew;
                 xub_StrLen nCheckPos;
-                ULONG nKey = pNFmtr->GetIndexPuttingAndConverting( sFmt, eLng,
+                sal_uInt32 nKey = pNFmtr->GetIndexPuttingAndConverting( sFmt, eLng,
                         eSys, nType, bNew, nCheckPos);
 				rSet.Put( SwTblBoxNumFormat( nKey ));
 			}
Index: source/core/docnode/ndtbl.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/docnode/ndtbl.cxx,v
retrieving revision 1.29
retrieving revision 1.29.38.1
diff -u -r1.29 -r1.29.38.1
--- source/core/docnode/ndtbl.cxx	28 Sep 2005 11:05:44 -0000	1.29
+++ source/core/docnode/ndtbl.cxx	26 Oct 2005 17:50:34 -0000	1.29.38.1
@@ -3676,7 +3676,7 @@
 	SwUndoTblNumFmt* pUndo = 0;
 
 	BOOL bIsEmptyTxtNd, bChgd = TRUE;
-	ULONG nFmtIdx;
+	sal_uInt32 nFmtIdx;
 	double fNumber;
 	if( rBox.HasNumCntnt( fNumber, nFmtIdx, bIsEmptyTxtNd ) )
 	{
Index: source/core/edit/edtab.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/edit/edtab.cxx,v
retrieving revision 1.12
retrieving revision 1.12.70.1
diff -u -r1.12 -r1.12.70.1
--- source/core/edit/edtab.cxx	9 Sep 2005 03:29:27 -0000	1.12
+++ source/core/edit/edtab.cxx	26 Oct 2005 17:50:35 -0000	1.12.70.1
@@ -414,7 +414,7 @@
 	if( !pBox )
 		return FALSE;
 
-	ULONG nFmt;
+	sal_uInt32 nFmt;
 	const SfxPoolItem* pItem;
 	if( SFX_ITEM_SET == pBox->GetFrmFmt()->GetAttrSet().GetItemState(
 		RES_BOXATR_FORMAT, TRUE, &pItem ))
Index: source/core/fields/cellfml.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/fields/cellfml.cxx,v
retrieving revision 1.7
retrieving revision 1.7.70.1
diff -u -r1.7 -r1.7.70.1
--- source/core/fields/cellfml.cxx	9 Sep 2005 03:32:05 -0000	1.7
+++ source/core/fields/cellfml.cxx	26 Oct 2005 17:50:36 -0000	1.7.70.1
@@ -261,7 +261,7 @@
 
 			double aNum;
 			String sTxt( rTxt.Copy( nSttPos ) );
-			ULONG nFmtIndex = GetFrmFmt()->GetTblBoxNumFmt().GetValue();
+			sal_uInt32 nFmtIndex = GetFrmFmt()->GetTblBoxNumFmt().GetValue();
 
 			SvNumberFormatter* pNumFmtr = pDoc->GetNumberFormatter();
 
@@ -271,7 +271,7 @@
 			else if( sTxt.Len() &&
 					NUMBERFORMAT_PERCENT == pNumFmtr->GetType( nFmtIndex ))
 			{
-				ULONG nTmpFmt = 0;
+				sal_uInt32 nTmpFmt = 0;
 				if( pNumFmtr->IsNumberFormat( sTxt, nTmpFmt, aNum ) &&
 					NUMBERFORMAT_NUMBER == pNumFmtr->GetType( nTmpFmt ))
 					sTxt += '%';
Index: source/core/fields/dbfld.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/fields/dbfld.cxx,v
retrieving revision 1.19
retrieving revision 1.19.70.1
diff -u -r1.19 -r1.19.70.1
--- source/core/fields/dbfld.cxx	9 Sep 2005 03:32:32 -0000	1.19
+++ source/core/fields/dbfld.cxx	26 Oct 2005 17:50:37 -0000	1.19.70.1
@@ -408,7 +408,7 @@
     if(!pMgr || !pMgr->IsDataSourceOpen(aTmpData.sDataSource, aTmpData.sCommand, sal_True))
 		return ;
 
-	ULONG nFmt;
+	sal_uInt32 nFmt;
 
 	// Passenden Spaltennamen suchen
 	String aColNm( ((SwDBFieldType*)GetTyp())->GetColumnName() );
Index: source/core/fields/fldbas.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/fields/fldbas.cxx,v
retrieving revision 1.18
retrieving revision 1.18.72.1
diff -u -r1.18 -r1.18.72.1
--- source/core/fields/fldbas.cxx	9 Sep 2005 03:33:48 -0000	1.18
+++ source/core/fields/fldbas.cxx	26 Oct 2005 17:50:38 -0000	1.18.72.1
@@ -247,7 +247,7 @@
 					Felder sind n-mal vorhanden, Feldtypen nur einmal
  --------------------------------------------------------------------*/
 
-SwField::SwField(SwFieldType* pTyp, ULONG nFmt, USHORT nLng) :
+SwField::SwField(SwFieldType* pTyp, sal_uInt32 nFmt, USHORT nLng) :
 	nFormat(nFmt),
     nLang(nLng),
     bIsAutomaticLanguage(TRUE)
@@ -458,7 +458,7 @@
 	nLang = nLng;
 }
 
-void SwField::ChangeFormat(ULONG n)
+void SwField::ChangeFormat(sal_uInt32 n)
 {
 	nFormat = n;
 }
@@ -497,7 +497,7 @@
 	Beschreibung: Numerierung expandieren
  --------------------------------------------------------------------*/
 
-String FormatNumber(USHORT nNum, ULONG nFormat)
+String FormatNumber(USHORT nNum, sal_uInt32 nFormat)
 {
     if(SVX_NUM_PAGEDESC == nFormat)
         return  String::CreateFromInt32( nNum );
@@ -532,7 +532,7 @@
  --------------------------------------------------------------------*/
 
 String SwValueFieldType::ExpandValue( const double& rVal,
-										ULONG nFmt, USHORT nLng) const
+										sal_uInt32 nFmt, USHORT nLng) const
 {
 	if (rVal >= DBL_MAX)		// FehlerString fuer Calculator
 		return ViewShell::GetShellRes()->aCalc_Error;
@@ -553,7 +553,7 @@
 
 		if (pEntry && nLng != pEntry->GetLanguage())
 		{
-			ULONG nNewFormat = pFormatter->GetFormatForLanguageIfBuiltIn(nFmt,
+			sal_uInt32 nNewFormat = pFormatter->GetFormatForLanguageIfBuiltIn(nFmt,
 													(LanguageType)nFmtLng);
 
 			if (nNewFormat == nFmt)
@@ -587,7 +587,7 @@
  --------------------------------------------------------------------*/
 
 void SwValueFieldType::DoubleToString( String &rValue, const double &rVal,
-										ULONG nFmt) const
+										sal_uInt32 nFmt) const
 {
 	SvNumberFormatter* pFormatter = pDoc->GetNumberFormatter();
 	const SvNumberformat* pEntry = pFormatter->GetEntry(nFmt);
@@ -618,7 +618,7 @@
 	Beschreibung: CTOR SwValueField
  --------------------------------------------------------------------*/
 
-SwValueField::SwValueField( SwValueFieldType* pFldType, ULONG nFmt,
+SwValueField::SwValueField( SwValueFieldType* pFldType, sal_uInt32 nFmt,
 							USHORT nLang, const double fVal )
 	: SwField(pFldType, nFmt, nLang),
 	fValue(fVal)
@@ -671,14 +671,14 @@
 	Beschreibung: Format in Office-Sprache ermitteln
  --------------------------------------------------------------------*/
 
-ULONG SwValueField::GetSystemFormat(SvNumberFormatter* pFormatter, ULONG nFmt)
+sal_uInt32 SwValueField::GetSystemFormat(SvNumberFormatter* pFormatter, sal_uInt32 nFmt)
 {
 	const SvNumberformat* pEntry = pFormatter->GetEntry(nFmt);
 	USHORT nLng = SvxLocaleToLanguage( GetAppLocaleData().getLocale() );
 
 	if (pEntry && nLng != pEntry->GetLanguage())
 	{
-		ULONG nNewFormat = pFormatter->GetFormatForLanguageIfBuiltIn(nFmt,
+		sal_uInt32 nNewFormat = pFormatter->GetFormatForLanguageIfBuiltIn(nFmt,
 														(LanguageType)nLng);
 
 		if (nNewFormat == nFmt)
@@ -689,7 +689,7 @@
 
 			String sFmt(pEntry->GetFormatstring());
 
-			ULONG nFormat = nFmt;
+			sal_uInt32 nFormat = nFmt;
 			pFormatter->PutandConvertEntry(sFmt, nDummy, nType,
 								nFormat, pEntry->GetLanguage(), nLng);
 			nFmt = nFormat;
@@ -709,7 +709,7 @@
 {
     if( IsAutomaticLanguage() && 
             ((SwValueFieldType *)GetTyp())->UseFormat() &&
-		GetFormat() != ULONG_MAX )
+		GetFormat() != SAL_MAX_UINT32 )
 	{
 		// wegen Bug #60010
 		SvNumberFormatter* pFormatter = GetDoc()->GetNumberFormatter();
@@ -724,7 +724,7 @@
 
 			if( pEntry && nFmtLng != pEntry->GetLanguage() )
 			{
-				ULONG nNewFormat = pFormatter->GetFormatForLanguageIfBuiltIn(
+				sal_uInt32 nNewFormat = pFormatter->GetFormatForLanguageIfBuiltIn(
 										GetFormat(), (LanguageType)nFmtLng );
 
 				if( nNewFormat == GetFormat() )
@@ -765,7 +765,7 @@
 	Beschreibung: SwFormulaField
  --------------------------------------------------------------------*/
 
-SwFormulaField::SwFormulaField( SwValueFieldType* pFldType, ULONG nFmt, const double fVal)
+SwFormulaField::SwFormulaField( SwValueFieldType* pFldType, sal_uInt32 nFmt, const double fVal)
 	: SwValueField(pFldType, nFmt, LANGUAGE_SYSTEM, fVal)
 {
 }
@@ -795,7 +795,7 @@
 
 	ULONG nFmt(GetFormat());
 
-	if( nFmt && ULONG_MAX != nFmt )
+	if( nFmt && SAL_MAX_UINT32 != nFmt )
 	{
 		xub_StrLen nPos = 0;
 		double fValue;
@@ -810,9 +810,9 @@
 
 void SwFormulaField::SetExpandedFormula( const String& rStr )
 {
-	ULONG nFmt(GetFormat());
+	sal_uInt32 nFmt(GetFormat());
 
-	if (nFmt && nFmt != ULONG_MAX && ((SwValueFieldType *)GetTyp())->UseFormat())
+	if (nFmt && nFmt != SAL_MAX_UINT32 && ((SwValueFieldType *)GetTyp())->UseFormat())
 	{
 		double fValue;
 
@@ -836,9 +836,9 @@
 
 String SwFormulaField::GetExpandedFormula() const
 {
-	ULONG nFmt(GetFormat());
+	sal_uInt32 nFmt(GetFormat());
 
-	if (nFmt && nFmt != ULONG_MAX && ((SwValueFieldType *)GetTyp())->UseFormat())
+	if (nFmt && nFmt != SAL_MAX_UINT32 && ((SwValueFieldType *)GetTyp())->UseFormat())
 	{
 		String sFormattedValue;
 		Color* pCol = 0;
Index: source/core/fields/usrfld.cxx
===================================================================
RCS file: /cvs/sw/sw/source/core/fields/usrfld.cxx,v
retrieving revision 1.10
retrieving revision 1.10.74.1
diff -u -r1.10 -r1.10.74.1
--- source/core/fields/usrfld.cxx	9 Sep 2005 03:36:43 -0000	1.10
+++ source/core/fields/usrfld.cxx	26 Oct 2005 17:50:38 -0000	1.10.74.1
@@ -295,7 +295,7 @@
 
 String SwUserFieldType::GetContent( sal_uInt32 nFmt )
 {
-	if (nFmt && nFmt != ULONG_MAX)
+	if (nFmt && nFmt != SAL_MAX_UINT32)
 	{
 		String sFormattedValue;
 		Color* pCol = 0;
@@ -315,7 +315,7 @@
 	{
 		aContent = rStr;
 
-		if (nFmt && nFmt != ULONG_MAX)
+		if (nFmt && nFmt != SAL_MAX_UINT32)
 		{
 			double fValue;
 
Index: source/filter/excel/exctools.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/excel/exctools.cxx,v
retrieving revision 1.7
retrieving revision 1.7.74.1
diff -u -r1.7 -r1.7.74.1
--- source/filter/excel/exctools.cxx	9 Sep 2005 05:37:56 -0000	1.7
+++ source/filter/excel/exctools.cxx	26 Oct 2005 17:50:39 -0000	1.7.74.1
@@ -831,7 +831,7 @@
 }
 
 // --------------------------------------------- XF_Buffer::GetNumFormat -
-UINT32 XF_Buffer::GetNumFormat( UINT16 nIndex )
+sal_uInt32 XF_Buffer::GetNumFormat( UINT16 nIndex )
 	{
 //	DBG_ASSERT( nIndex < nCount ,
 //		"+XF_Buffer::GetNumFormat(): das ist zuviel des Guten!" );
Index: source/filter/excel/excxfbuf.hxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/excel/excxfbuf.hxx,v
retrieving revision 1.3
retrieving revision 1.3.74.1
diff -u -r1.3 -r1.3.74.1
--- source/filter/excel/excxfbuf.hxx	9 Sep 2005 05:38:52 -0000	1.3
+++ source/filter/excel/excxfbuf.hxx	26 Oct 2005 17:50:40 -0000	1.3.74.1
@@ -206,7 +206,7 @@
 		inline void		GetItemSets( USHORT nIndex, const SfxItemSet *pTxtAttr,
 							const SfxItemSet *pBoxAttr );
 
-		ULONG			GetNumFormat( USHORT nIndex );
+		sal_uInt32		GetNumFormat( USHORT nIndex );
 		void			SetItemSets( USHORT nCol, USHORT nSR, USHORT nER,
 							USHORT nXF );
 	};
Index: source/filter/html/htmlfld.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/html/htmlfld.cxx,v
retrieving revision 1.8
retrieving revision 1.8.74.1
diff -u -r1.8 -r1.8.74.1
--- source/filter/html/htmlfld.cxx	9 Sep 2005 05:42:18 -0000	1.8
+++ source/filter/html/htmlfld.cxx	26 Oct 2005 17:50:41 -0000	1.8.74.1
@@ -403,7 +403,7 @@
 			USHORT nSub = 0;
 
 			SvNumberFormatter *pFormatter =	pDoc->GetNumberFormatter();
-			ULONG nNumFmt;
+			sal_uInt32 nNumFmt;
 			LanguageType eLang;
 			double dValue = GetTableDataOptionsValNum(
 								nNumFmt, eLang, aNumValue, aNumFmt,
@@ -474,7 +474,7 @@
 					nSub |= nExtSub;
 				}
 
-				ULONG nNumFmt = 0;
+				sal_uInt32 nNumFmt = 0;
 				double dValue = 0;
 				if( bHasNumFmt && (DI_SUB_DATE==nExtSub || DI_SUB_TIME==nExtSub) )
 				{
Index: source/filter/w4w/w4wpar1.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/w4w/w4wpar1.cxx,v
retrieving revision 1.28
retrieving revision 1.28.68.1
diff -u -r1.28 -r1.28.68.1
--- source/filter/w4w/w4wpar1.cxx	9 Sep 2005 05:58:54 -0000	1.28
+++ source/filter/w4w/w4wpar1.cxx	26 Oct 2005 17:50:42 -0000	1.28.68.1
@@ -1925,7 +1925,7 @@
 		// tell the Formatter about the new entry
 		UINT16 nCheckPos = 0;
 		INT16  nType = NUMBERFORMAT_DEFINED;
-		ULONG  nKey;
+		sal_uInt32 nKey;
 
 		pFormatter->PutandConvertEntry( *pFirst, nCheckPos, nType, nKey,
 										LANGUAGE_GERMAN,
Index: source/filter/ww8/writerwordglue.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/ww8/writerwordglue.cxx,v
retrieving revision 1.14
retrieving revision 1.14.70.1
diff -u -r1.14 -r1.14.70.1
--- source/filter/ww8/writerwordglue.cxx	9 Sep 2005 06:07:06 -0000	1.14
+++ source/filter/ww8/writerwordglue.cxx	26 Oct 2005 17:50:43 -0000	1.14.70.1
@@ -905,8 +905,8 @@
         {
             // tell the Formatter about the new entry
             UINT16 nCheckPos = 0;
-            INT16  nType = NUMBERFORMAT_DEFINED;
-            ULONG  nKey = 0;
+            short  nType = NUMBERFORMAT_DEFINED;
+            sal_uInt32  nKey = 0;
 
             SwapQuotesInField(rParams);
 
Index: source/filter/ww8/ww8par.hxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/ww8/ww8par.hxx,v
retrieving revision 1.136
retrieving revision 1.136.68.1
diff -u -r1.136 -r1.136.68.1
--- source/filter/ww8/ww8par.hxx	9 Sep 2005 06:11:36 -0000	1.136
+++ source/filter/ww8/ww8par.hxx	26 Oct 2005 17:50:44 -0000	1.136.68.1
@@ -236,7 +236,7 @@
     WW8LFOInfos* pLFOInfos;// D. aus PLF LFO, sortiert genau wie im WW8 Stream
     USHORT       nUniqueList; // current number for creating unique list names
     BYTE* GrpprlHasSprm(USHORT nId, BYTE& rSprms, BYTE nLen);
-    WW8LSTInfo* GetLSTByListId(    ULONG  nIdLst     ) const;
+    WW8LSTInfo* GetLSTByListId(    sal_uInt32  nIdLst     ) const;
     //the rParaSprms returns back the original word paragraph indent
     //sprms which are attached to this numbering level
     bool ReadLVL(SwNumFmt& rNumFmt, SfxItemSet*& rpItemSet, USHORT nLevelStyle,
Index: source/filter/ww8/ww8par5.cxx
===================================================================
RCS file: /cvs/sw/sw/source/filter/ww8/ww8par5.cxx,v
retrieving revision 1.90
retrieving revision 1.90.38.1
diff -u -r1.90 -r1.90.38.1
--- source/filter/ww8/ww8par5.cxx	28 Sep 2005 11:26:29 -0000	1.90
+++ source/filter/ww8/ww8par5.cxx	26 Oct 2005 17:50:45 -0000	1.90.38.1
@@ -1679,7 +1679,7 @@
             break;
     }
 
-    ULONG nFormat = 0;
+    sal_uInt32 nFormat = 0;
 
     USHORT nLang(0);
     if (bDateTime)
@@ -1756,7 +1756,7 @@
         }
     }
 
-    ULONG nFormat = 0;
+    sal_uInt32 nFormat = 0;
 
     USHORT nLang(0);
     short nDT = GetTimeDatePara(rStr, nFormat, nLang, ww::eDATE, bHijri);
Index: source/ui/app/docsh2.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/app/docsh2.cxx,v
retrieving revision 1.79
retrieving revision 1.79.10.1
diff -u -r1.79 -r1.79.10.1
--- source/ui/app/docsh2.cxx	18 Oct 2005 13:48:57 -0000	1.79
+++ source/ui/app/docsh2.cxx	26 Oct 2005 17:50:47 -0000	1.79.10.1
@@ -1602,7 +1602,7 @@
  --------------------------------------------------------------------*/
 
 void SwDocShell::FillClass( SvGlobalName * pClassName,
-								   ULONG * pClipFormat,
+								   sal_uInt32 * pClipFormat,
 								   String * pAppName,
 								   String * pLongUserName,
                                    String * pUserName,
Index: source/ui/globdoc/globdoc.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/globdoc/globdoc.cxx,v
retrieving revision 1.12
retrieving revision 1.12.72.1
diff -u -r1.12 -r1.12.72.1
--- source/ui/globdoc/globdoc.cxx	9 Sep 2005 07:55:55 -0000	1.12
+++ source/ui/globdoc/globdoc.cxx	26 Oct 2005 17:50:48 -0000	1.12.72.1
@@ -66,7 +66,7 @@
 }
 
 void SwGlobalDocShell::FillClass( SvGlobalName * pClassName,
-								   ULONG * pClipFormat,
+								   sal_uInt32 * pClipFormat,
 								   String * pAppName,
 								   String * pLongUserName,
                                    String * pUserName,
Index: source/ui/inc/dbinsdlg.hxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/inc/dbinsdlg.hxx,v
retrieving revision 1.9
retrieving revision 1.9.74.1
diff -u -r1.9 -r1.9.74.1
--- source/ui/inc/dbinsdlg.hxx	9 Sep 2005 09:09:01 -0000	1.9
+++ source/ui/inc/dbinsdlg.hxx	26 Oct 2005 17:50:49 -0000	1.9.74.1
@@ -97,7 +97,7 @@
 {
 	rtl::OUString sColumn, sUsrNumFmt;
 	sal_Int32 nDBNumFmt;
-	ULONG nUsrNumFmt;
+	sal_uInt32 nUsrNumFmt;
 	LanguageType eUsrNumFmtLng;
 	USHORT nCol;
 	BOOL bHasFmt : 1;
Index: source/ui/shells/tabsh.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/shells/tabsh.cxx,v
retrieving revision 1.34
retrieving revision 1.34.70.1
diff -u -r1.34 -r1.34.70.1
--- source/ui/shells/tabsh.cxx	9 Sep 2005 10:53:09 -0000	1.34
+++ source/ui/shells/tabsh.cxx	26 Oct 2005 17:50:50 -0000	1.34.70.1
@@ -1636,7 +1636,7 @@
 	//	Sprache immer von Cursorposition besorgen
 	LanguageType eLang = rSh.GetCurLang();
 	SvNumberFormatter* pFormatter = rSh.GetNumberFormatter();
-	ULONG nNumberFormat = NUMBERFORMAT_ENTRY_NOT_FOUND;
+	sal_uInt32 nNumberFormat = NUMBERFORMAT_ENTRY_NOT_FOUND;
 	USHORT nFmtType = 0, nOffset = 0;
 
 	switch ( nSlot )
Index: source/ui/table/tautofmt.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/table/tautofmt.cxx,v
retrieving revision 1.17
retrieving revision 1.17.48.1
diff -u -r1.17 -r1.17.48.1
--- source/ui/table/tautofmt.cxx	23 Sep 2005 12:19:52 -0000	1.17
+++ source/ui/table/tautofmt.cxx	26 Oct 2005 17:50:51 -0000	1.17.48.1
@@ -776,7 +776,7 @@
                 short nType;
                 BOOL bNew;
                 xub_StrLen nCheckPos;
-                ULONG nKey = pNumFmt->GetIndexPuttingAndConverting( sFmt, eLng,
+                sal_uInt32 nKey = pNumFmt->GetIndexPuttingAndConverting( sFmt, eLng,
                         eSys, nType, bNew, nCheckPos);
 				Color* pDummy;
 				pNumFmt->GetOutputString( nVal, nKey, cellString, &pDummy );
Index: source/ui/utlui/numfmtlb.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/utlui/numfmtlb.cxx,v
retrieving revision 1.15
retrieving revision 1.15.74.1
diff -u -r1.15 -r1.15.74.1
--- source/ui/utlui/numfmtlb.cxx	9 Sep 2005 11:29:23 -0000	1.15
+++ source/ui/utlui/numfmtlb.cxx	26 Oct 2005 17:50:51 -0000	1.15.74.1
@@ -493,7 +493,7 @@
 
 			if( pItem && 0 != ((SvxNumberInfoItem*)pItem)->GetDelCount() )
 			{
-				const ULONG* pDelArr = ((SvxNumberInfoItem*)pItem)->GetDelArray();
+				const sal_uInt32* pDelArr = ((SvxNumberInfoItem*)pItem)->GetDelArray();
 
 				for ( USHORT i = 0; i < ((SvxNumberInfoItem*)pItem)->GetDelCount(); i++ )
 					pFormatter->DeleteEntry( pDelArr[i] );
Index: source/ui/web/wdocsh.cxx
===================================================================
RCS file: /cvs/sw/sw/source/ui/web/wdocsh.cxx,v
retrieving revision 1.12
retrieving revision 1.12.72.1
diff -u -r1.12 -r1.12.72.1
--- source/ui/web/wdocsh.cxx	9 Sep 2005 11:34:33 -0000	1.12
+++ source/ui/web/wdocsh.cxx	26 Oct 2005 17:50:52 -0000	1.12.72.1
@@ -94,7 +94,7 @@
 
 
 void SwWebDocShell::FillClass( SvGlobalName * pClassName,
-								   ULONG * pClipFormat,
+								   sal_uInt32 * pClipFormat,
 								   String * pAppName,
 								   String * pLongUserName,
                                    String * pUserName,
